Get users by Name
curl --request GET \
--url https://api.projectcor.com/v1/users/search-by-name/{name} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.projectcor.com/v1/users/search-by-name/{name}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.projectcor.com/v1/users/search-by-name/{name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.projectcor.com/v1/users/search-by-name/{name}';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.projectcor.com/v1/users/search-by-name/{name}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.projectcor.com/v1/users/search-by-name/{name}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"total": "1",
"perPage": 20,
"page": 1,
"lastPage": 1,
"data": [
{
"id": 123,
"first_name": "Jane",
"picture": "https://user-images.staging.projectcor.com/local/Upload/ProfilePictures/50x50/user.png",
"last_name": "Doe",
"email": "jane.doe@example.com",
"cuil": "",
"remaining_hours": 100,
"user_position_id": 3,
"role_id": 2,
"daily_hours": 0,
"labels": [
{
"id": 210595,
"lang": "es",
"name": "Desarrollo web"
}
],
"plan_id": 5,
"plan_name": "Capacity Planning",
"hidden": false,
"position_name": null,
"category_id": null,
"category_name": null,
"gmt": "-03:00",
"leaves": []
}
]
}Users
Get users by Name
GET
/
users
/
search-by-name
/
{name}
Get users by Name
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Page number (default: 1). Set to false to disable pagination.
Number of items per page (default: 20).
Was this page helpful?
⌘I

